Bug 57452 - Samba has authentication problems with pam PAM_unix
Summary: Samba has authentication problems with pam PAM_unix
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: samba   
(Show other bugs)
Version: 6.2
Hardware: i586 Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-12 20:37 UTC by Jim Williams
Modified: 2007-04-18 16:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-12 20:37:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jim Williams 2001-12-12 20:37:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:0.9.2)
Gecko/20010726 Netscape6/6.1

Description of problem:
I have upgraded a RH 6.2 server to Samba 2.0.10-0.62 and pam to 0.72-20.6

Samba responds slowly and I'm seeing multiple entries in /var/log/messages
similar to the following

Dec 10 08:50:15 <servername> PAM_unix[8696]: authentication failure;
(uid=0) -> <username> for samba service

Eventually they connection will work but the lag time is unacceptable. We
are using simple passwd/shadow authentication, Samba and Win98 are
configured for NON-encrypted passwords. I put 1 user into smbpasswd and it
didn't change the error at all.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Configure Samba
2.Connect from a Win98 machine to files or printers with Samba
3.Watch /var/log/messages
	

Additional info:

Comment 1 Trond Eivind Glomsrxd 2001-12-13 22:53:26 UTC
That looks very much like root is trying, and failing, to authenticate. I'm not
aware of other problems, I suggest you ask on the samba mailing list (bugzilla
is a bugtracker, not a support channel).

Comment 2 Andrew Bartlett 2002-01-08 22:53:29 UTC
Known Issue when authenticating with plaintext passwords.  This is becouse the
client UPPER CASES the password before we get it.  Your password is almost
certainly in lower case, and thats the second thing we try.

Always set 'encrypt passwords = yes' and setup a smbpasswd file for maximum
client compatibility.  (Other clients won't even send the plaintext).


Note You need to log in before you can comment on or make changes to this bug.